ClassCodeExpressionTransformer (groovy 3.0.7 API)

Package: org.codehaus.groovy.ast

## [Java] Class ClassCodeExpressionTransformer

- org.codehaus.groovy.ast.ClassCodeExpressionTransformer

- All Implemented Interfaces and Traits:
    ExpressionTransformer

      public abstract class ClassCodeExpressionTransformer
      extends ClassCodeVisitorSupport
      implements ExpressionTransformer

  Transforms expressions in a whole class. Transformed expressions are usually not visited.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected static void` | `setSourcePosition(Expression toSet, Expression origNode)` Set the source position of toSet including its property expression if it has one.
    `` | `public Expression` | `transform(Expression expr)`
    `` | `protected void` | `visitAnnotation(AnnotationNode node)`
    `` | `public void` | `visitAssertStatement(AssertStatement stmt)`
    `` | `public void` | `visitCaseStatement(CaseStatement stmt)`
    `` | `protected void` | `visitConstructorOrMethod(MethodNode node, boolean isConstructor)`
    `` | `public void` | `visitDoWhileLoop(DoWhileStatement stmt)`
    `` | `public void` | `visitExpressionStatement(ExpressionStatement stmt)`
    `` | `public void` | `visitField(FieldNode node)`
    `` | `public void` | `visitForLoop(ForStatement stmt)`
    `` | `public void` | `visitIfElse(IfStatement stmt)`
    `` | `public void` | `visitProperty(PropertyNode node)`
    `` | `public void` | `visitReturnStatement(ReturnStatement stmt)`
    `` | `public void` | `visitSwitch(SwitchStatement stmt)`
    `` | `public void` | `visitSynchronizedStatement(SynchronizedStatement stmt)`
    `` | `public void` | `visitThrowStatement(ThrowStatement stmt)`
    `` | `public void` | `visitWhileLoop(WhileStatement stmt)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ClassCodeVisitorSupport` | `addError, getSourceUnit, visitAnnotation, visitAnnotations, visitAssertStatement, visitBlockStatement, visitBreakStatement, visitCaseStatement, visitCatchStatement, visitClass, visitClassCodeContainer, visitConstructor, visitConstructorOrMethod, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitExpressionStatement, visitField, visitForLoop, visitIfElse, visitImports, visitMethod, visitObjectInitializerStatements, visitPackage, visitProperty, visitReturnStatement, visitStatement, visitSwitch, visitSynchronizedStatement, visitThrowStatement, visitTryCatchFinally, visitWhileLoop`
    `class CodeVisitorSupport` | `afterSwitchConditionExpressionVisited, visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitLambdaExpression, visitListExpression, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitMethodReferenceExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop`

- - ### Method Detail

    - #### protected static void setSourcePosition(Expression toSet, Expression origNode)

      Set the source position of toSet including its property expression if it has one.

      Parameters:
        `toSet` - resulting node
        `origNode` - original node

    - #### @Override public Expression transform(Expression expr)

    - #### @Override protected void visitAnnotation(AnnotationNode node)

    - #### @Override public void visitAssertStatement(AssertStatement stmt)

    - #### @Override public void visitCaseStatement(CaseStatement stmt)

    - #### @Override protected void visitConstructorOrMethod(MethodNode node, boolean isConstructor)

    - #### @Override public void visitDoWhileLoop(DoWhileStatement stmt)

    - #### @Override public void visitExpressionStatement(ExpressionStatement stmt)

    - #### @Override public void visitField(FieldNode node)

    - #### @Override public void visitForLoop(ForStatement stmt)

    - #### @Override public void visitIfElse(IfStatement stmt)

    - #### @Override public void visitProperty(PropertyNode node)

    - #### @Override public void visitReturnStatement(ReturnStatement stmt)

    - #### @Override public void visitSwitch(SwitchStatement stmt)

    - #### @Override public void visitSynchronizedStatement(SynchronizedStatement stmt)

    - #### @Override public void visitThrowStatement(ThrowStatement stmt)

    - #### @Override public void visitWhileLoop(WhileStatement stmt)